Subject: Re: bug#47893: 27.1; `display-line-numbers-mode`, line numbers hidden with multiline overlays

From: Eli Zaretskii <[email-masked]>
Date: Mon, 19 Apr 2021 18:29:28 +0300

> Cc: [email-masked]
> From: Daniel Mendler <[email-masked]>
> Date: Mon, 19 Apr 2021 17:10:59 +0200
> 
> On 4/19/21 4:55 PM, Eli Zaretskii wrote:
> > What do you mean by "hidden"?  With the above recipe, I see all the
> > line numbers starting from 5, as expected.  What is "hidden" here?
> 
> When I have a buffer with the following content:
> 
> 1 a
> 2 b
> 3 c
> 4 d
> 5 e
> 6 f
> 7 g
> 8 h
> 9 i
> 
> And run the given function, I see the following:
> 
> 5 line1
>    line2
>    line3
>    line4
>    e
> 6 f
> 7 g
> 8 h
> 9 i

Right, and this is expected.

> I suppose this is expected since the overlay hides all the lines in 
> between?

Yes, exactly.  We only show the line numbers for lines that are
displayed.  Compare with, for example, Org buffers, where we don't
show line numbers for lines that are invisible.

> You can close this issue then as invalid, since the display line
> numbers don't reflect the visual lines but the lines in the buffer.

You can have the visual line numbers as well: just set the line-number
style to 'visual'.

Closing.